function [p,i]=potencia(A,x0)

%escolhe tolerncia
tol=10^(-10);
%escolhe nmero mximo de iteraes
imax=10000;

%Inicializa variveis auxiliares
erro=1;
i=0;
x=x0;
p=0;

while erro > tol && i<imax
    %update do x
    y=A*x;
    x=y/norm(y);
    
    %update do valor proprio e erro
    pnew=(x'*A*x)/norm(x)^2;  
    erro=abs(p-pnew);
    p=pnew;
    
    %update do contador
    i=i+1;
end

%Erro se mximo de iteraes foi atingido
if i==imax
    display('problemas com a convergncia')
end